<template>
  <b-form-group
    :id="`${$attrs.id}-group`"
    :label="$attrs.label"
    :label-for="$attrs.id"
    class="label-s"
  >
    <b-form-datepicker
      :style="{ fontSize: '0.9rem', fontWeight: '500' }"
      :disabled="!editable"
      v-bind="$attrs"
      :aria-describedby="`${$attrs.id}-feedback`"
      v-on="$listeners"
    ></b-form-datepicker>

    <b-form-invalid-feedback :id="`${$attrs.id}-feedback`"
      >{{ invalidFeedback }}
    </b-form-invalid-feedback>
  </b-form-group>
</template>
<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  props: {
    invalidFeedback: {
      type: String,
      required: false,
      default: ''
    },
    editable: {
      type: Boolean,
      default: false
    }
  }
})
</script>

<style>
.b-form-btn-label-control {
  border: 0;
  border-bottom: 1px solid #cacaca;
}

.b-form-btn-label-control:focus {
  background-color: #f9f9f9;
  border-bottom: 1px solid #13bc73;
  box-shadow: none;
}

.b-form-btn-label-control[aria-disabled='true'] {
  background-color: #fff;
  border: 0;
  padding-left: 0;
}

.b-form-btn-label-control > .btn:disabled {
  display: none;
}

.label-s {
  font-size: 10px;
}
</style>
